Healthcare NOW!

This has been going on too long: I am sick of the powerful manipulating the weak.

HEALTHCARE IS A RIGHT! We need this yesterday. It has to be comprehensive, have Mental Health parity, Emergency coverage, no pre-existing condition exclusions, cover the young, old and everyone in between, and prescriptions, as well as lower costs/be portable for life.

Low cost is not enough: I believe in the ability of the government to do this. The Republicans and few Democrats that oppose this are on the wrong side of history, and ALREADY HAVE GOOD, FREE HEALTHCARE! THEY ARE HYPOCRITES!

Enough: we need this, and we need it by the first of the year (2010). This is a human rights issue, NOT a political one.

–JB

Blogged with the Flock Browser
Advertisements